Get Action Template By Id
Fetch an action template by its ID
Retrieves an action template entity with a specific ID
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/abx/api/resources/action-templates/{id}
COPY
Path Parameters
string
id
Required
ID of the action template
Responses
200
Action template found
Returns
ActionTemplate
of type(s)
*/*
{
"id": "string",
"name": "string",
"createdMillis": 0,
"orgId": "string",
"actionType": "string",
"runtime": "string",
"source": "string",
"inputs": {},
"description": "string",
"dependencies": "string"
}
404
Action template not found
Returns
ActionTemplate
of type(s)
*/*
{
"id": "string",
"name": "string",
"createdMillis": 0,
"orgId": "string",
"actionType": "string",
"runtime": "string",
"source": "string",
"inputs": {},
"description": "string",
"dependencies": "string"
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/abx/api/resources/action-templates/{id}